Bug Hunting Session
Bug 107554 - New table 'Default Style'
Summary: New table 'Default Style'
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on: 99027
Blocks: Writer-Tables-Style 107555
  Show dependency treegraph
 
Reported: 2017-05-02 00:14 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-04 17:22 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
demo test file with various examples (15.06 KB, application/vnd.oasis.opendocument.text)
2017-11-06 13:23 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-05-02 00:14:05 UTC
The current autoformat taken 'Default Style' table style needs to be renamed and a new table style that looks like what is currently generated when you insert a table into LibreOffice needs to be the new 'Default Style'.
Comment 1 Yousuf Philips (jay) (retired) 2017-10-30 09:06:13 UTC
So the default table style isnt stored in the autotbl.fmt file but is stored in code[1], so we need to modify this style to appear similar to what tables normally appear like when they are inserted, but with better defaults.

So borders should be on and have a line width of 0.5pt (bug 99027).

The only thing remaining is to decide on what the best cell padding (aka margins) should be. Here is the comparison.

LibreOffice, Softmaker - 10cm
Calligra, Google - 18cm
Word - 19cm (left, right) and 0cm (top, bottom)
WordPerfect - 21cm (top, left, right) and 10cm (bottom)

Heiko, Stuart, Andreas, Cor, Regina: What is your preference?

[1] https://opengrok.libreoffice.org/xref/core/sw/source/core/doc/tblafmt.cxx#1226
Comment 2 Yousuf Philips (jay) (retired) 2017-10-30 13:57:46 UTC
iWork Pages cell spacing - 14cm
Comment 3 Cor Nouws 2017-11-06 13:23:12 UTC
Created attachment 137570 [details]
demo test file with various examples

I would choose for WordPerfect – 0,21cm  (not 21 cm)
Looks best. But then "synchronize" should be off by default ;)
Word is ugly. LibreOffice current is fine. iWork pages too.
Comment 4 Heiko Tietze 2017-11-06 13:52:45 UTC
The units are 0.10 / 0.14 / 0.20cm etc. I would keep 0.10cm (or use WordPrefect with more left/right marings) because tables are usually a compact layout of data, at least for the academic purpose. In case of a stylish layout (blue/green/red/yellow box) it makes sense to have more room like Calligra's 0.18cm.
Comment 5 andreas_k 2017-11-06 14:02:48 UTC
left/right 0.20 cm
top/bottom 0.10 cm
Comment 6 Yousuf Philips (jay) (retired) 2017-11-06 14:41:39 UTC
Patch is in without the adjustment of the cell padding
https://gerrit.libreoffice.org/44363

If the cell padding is to be changed, i could change it for all sides, but a real dev would have to change it if it needs different values for different sides.

Jim: code pointer :D
Comment 7 Jim Raykowski 2017-11-07 19:58:23 UTC
(In reply to Yousuf Philips (jay) from comment #6)
> Patch is in without the adjustment of the cell padding
> https://gerrit.libreoffice.org/44363
> 
> If the cell padding is to be changed, i could change it for all sides, but a
> real dev would have to change it if it needs different values for different
> sides.
> 
> Jim: code pointer :D

Jay, 

SvxBoxItem has the SetDistance method which can be used to set inward distances individually.

ex.  aBox.SetDistance(110, SvxBoxItemLine::LEFT)
Comment 8 Commit Notification 2017-11-08 14:25:41 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ba318b895c164750dc3c7bac6948b04b606f2b8

tdf#107554 New default table style

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Yousuf Philips (jay) (retired) 2017-11-08 19:22:15 UTC
(In reply to Jim Raykowski from comment #7)
> Jay, 
> 
> SvxBoxItem has the SetDistance method which can be used to set inward
> distances individually.
> 
> ex.  aBox.SetDistance(110, SvxBoxItemLine::LEFT)

Thanks Jim. Will use it when a final decision is made on the spacing.
Comment 10 Thomas Lendo 2017-11-09 14:28:05 UTC
(In reply to andreas_k from comment #5)
> left/right 0.20 cm
> top/bottom 0.10 cm
I support this. More horizontal space is better, then the content seems not to be too close to the border. Vertical space is rare, so 0.10 cm looks not space-consuming.
Comment 11 Yousuf Philips (jay) (retired) 2017-11-19 09:24:12 UTC
So i ran a twitter poll[1] asking 'How much cell padding/margins should text have in tables?' and there were 102 votes - 0.10cm (70%), 0.14cm (16%), 0.20cm (14%), 0.18cm (1%).

[1] https://mobile.twitter.com/liboDesign/status/927892971042889728
Comment 12 Roman Kuznetsov 2019-02-12 16:18:09 UTC
Heiko, this enh is fixed or not?
Comment 13 Heiko Tietze 2019-02-13 10:12:00 UTC
(In reply to Roman Kuznetsov from comment #12)
> Heiko, this enh is fixed or not?

Don't think so as the OP, Jay, didn't finish. But he retired and therefore the request is obsolete. Let's close the ticket.
Comment 14 BogdanB 2019-06-04 17:22:18 UTC
I tested now a default table and all are 0,10 cm.
Consider fixed.


Version: 6.3.0.0.beta1
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded